import { compose, withHandlers } from 'recompose'
import { withModal } from 'pubsweet-component-modal/src/components'

import { MultiAction, SingleActionModal } from './'

const OpenModal = ({ showModal, children }) => children(showModal)

export default compose(
  withModal(({ single, isFetching }) => ({
    isFetching,
    modalComponent: single ? SingleActionModal : MultiAction,
  })),
  withHandlers({
    showModal: props => () => {
      props.showModal(props)
    },
  }),
)(OpenModal)
